"""
Description
===========

Classes for Shelly(TM) IoT product family.

These classes implement the interface between Shelly devices and
the Juham framework. They listen appropriate messages in the juham 
mqtt network  and control their Shelly devices accordingly, as well as 
listen the sensor data generated by Shellys and publish it in the standard
Juham format.

"""

from .shellymotion_simulator import ShellyMotionSimulator
from .shellymotion import ShellyMotion
from .shellyplusaddon_simulator import ShellyPlusAddOnSimulator
from .shellyplusaddon import ShellyPlusAddOn
from .shelly1g3 import Shelly1G3
from .shellyplus1 import ShellyPlus1
from .shellypro3em import ShellyPro3EM
from .shelly import Shelly
from .shellypro3 import ShellyPro3

__all__ = [
    "ShellyMotionSimulator",
    "ShellyMotion",
    "ShellyPlusAddOnSimulator",
    "ShellyPlusAddOn",
    "Shelly1G3",
    "ShellyPro3EM",
    "Shelly",
    "ShellyPro3",
    "ShellyPlus1",
]
